#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
long long Konflikt(int N,int M,int *A,int *B){
    if(N > 10 || M > 20) return 0ll;

    ll mn = LLONG_MAX;
    auto calc = [&](vector<int> p, int shift){
        ll res = 0;

        for(int i = 1; i <= N; i++){
            res += min(abs((A[i]+shift)%M - B[p[i]]), M - abs((A[i]+shift)%M - B[p[i]]));
        }
        return res;
    };

    for(int i = 0; i < M; i++){

        vector<int> p(N+1);
        iota(p.begin(), p.end(), 0);

        mn = min(mn, calc(p, i));
        while(next_permutation(p.begin()+1, p.end())){
            mn = min(mn, calc(p, i));
        }
    }
    return mn;
}